Plank.DrawFunc – plank Reference Manual

# DrawFunc

## Description:

public delegate Surface? DrawFunc<G> (int width, int height, Surface model, DrawDataFunc<G>? draw_data_func)

Creates a new surface based on the given information

## Parameters:

width | the width
height | the height
model | existing surface to use as basis of new surface
draw_data_func | function which changes the surface

## Returns:

the newly created surface or NULL

Namespace: Plank
Package: plank